<template>
  <div>
    <h1 class="mb-6">Is your erectile dysfunction partner or situation specific?</h1>
    <div class="space-y-3">
      <radio-input
        v-for="choice in choices"
        :key="choice"
        :input-value="choice"
        v-model="selected"
      >
        {{ choice }}
      </radio-input>
    </div>
  </div>
</template>

<script>
import {answersMixin} from "@/utils/mixins";
import RadioInput from "@/components/inputs/RadioInput";

export default {
  components: {RadioInput},
  mixins: [answersMixin],
  name: "YourHealth6",
  watch: {
    selected(newVal) {
      this.setAnswer(this.answersKeys.YOUR_HEALTH, newVal, 'stage_6')
      this.$emit('nextStage')
    }
  },
  data() {
    return {
      choices: [
        'Yes',
        'No',
        'No sure',
      ],
      selected: null,
    }
  }
}
</script>

<style scoped>

</style>
